> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/frequently-asked-questions/sdk/java.md).

# Java

<details>

<summary>What is the relationship of an Offline licensing instance and the gracePeriodDays &#x26; ignoreServerExceptions parameters? How and when do these parameters interact with an Offline licensing instance?</summary>

The behavior depends on how the offline mode is configured:

#### Offline Mode Enabled

* No online license checks are made.
* `gracePeriodDays` and `ignoreServerExceptions` are ignored.
* License validity is checked locally using cryptographic signatures.

#### Offline License Used in Online Mode

* `checkLicense()` calls will still be made.
* `gracePeriodDays` allows server exceptions to be ignored for a limited time.
* If `ignoreServerExceptions` is set to true, server-related exceptions will be ignored indefinitely, and the local license will be used instead.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.licensespring.com/frequently-asked-questions/sdk/java.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
